[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDatabase.Create

Initialize a new TDatabase class instance.

## Declaration

Source position: db.pas line 2082

`public constructor TDatabase.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner for the new TDatabase instance.

## Description

Create initializes a new instance of the TDatabase class. It allocates some resources and then calls the inherited constructor.

## See also

TDBDataset |  | Dataset connected to a database.
TDBTransaction |  | Encapsulate a transaction
TDatabase.Destroy |  | Remove a TDatabase instance from memory.